#
# Conditional build:
%bcond_with	serial_console	# enable serial console BY DEFAULT
#		This is normally off since it slows down testing
#		Instead, one can just append console=ttyS0,9600

Summary:	Thorough, stand alone memory test for i386 systems
Summary(pl.UTF-8):	Kompleksowy, niezależny od OS tester pamięci dla systemów i386
Summary(pt_BR.UTF-8):	Testador de memória completo e independente para sistemas i386
Summary(ru.UTF-8):	Тест памяти для x86-архитектуры
Summary(uk.UTF-8):	Тест пам'яті для x86-архітектури
Name:		memtest86
Version:	4.3.7
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://www.memtest86.com/downloads/%{name}-%{version}-iso.zip
# Source0-md5:	d19d7c8ba5d044e0ea88d8fbe61ace48
Source1:	%{name}.image
Patch0:		%{name}-rover-centrino+c3+amd.patch
Patch1:		%{name}-i686-ld.patch
Patch2:		%{name}-enable_serial_console.patch
URL:		http://www.memtest86.com/
ExclusiveArch:	%{ix86}
BuildRequires:	p7zip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Memtest86 is thorough, stand alone memory test for i386 architecture
systems. BIOS based memory tests are only a quick check and often miss
failures that are detected by Memtest86.

%description -l pl.UTF-8
Memtest86 jest ciągłym, samodzielnym testerem pamięci dla systemów
architektury i386. Testy pamięci przez BIOS są tylko szybkim
sprawdzeniem i zazwyczaj nie wykrywają błędów znajdywanych przez
memtest86.

%description -l pt_BR.UTF-8
Memtest86 é um testador de memória independente (no sentido de que não
roda sob um sistema operacional) e completo para sistemas i386.

%description -l ru.UTF-8
Memtest86 -- тщательный и самостоятельный тест памяти для x86-систем.
Он может быть загружен или с жесткого диска при помощи LILO/GRUB, или
с дискеты.

Тест использует алгоритм "движущихся инверсий", доказавший свою
эффективность при обнаружении сбоев памяти. Не обращайте внимания на
"тест" BIOS -- он практически ничего не значит, так как пропустит
много ошибок из тех, которые обнаружит memtest86.

Также может использоваться для создания загрузочной тест-дискеты.

%description -l uk.UTF-8
Memtest86 -- ретельний та самостійний тест пам'яті для x86-систем. Він
може бути завантажений як з жорсткого диску за допомогою LILO/GRUB,
так і з дискети.

Тест використовує алгоритм "рухаючихся інверсій", який довів свою
ефективність при визначенні негараздів із пам'яттю. Не звертайте уваги
на "тест" BIOS -- він практично нічого не означає, тому що пройде повз
багатьох збоїв з тих, що знаходить memtest86.

Також може використовуватися для створення завантажувальної
тест-дискети.

%package -n rc-boot-image-memtest86
Summary:	memtest86 image for rc-boot
Summary(pl.UTF-8):	Obraz memtest86 dla rc-boot
Group:		Base
Requires:	%{name} = %{version}-%{release}
Requires:	rc-boot

%description -n rc-boot-image-memtest86
memtest86 image for rc-boot.

%description -n rc-boot-image-memtest86 -l pl.UTF-8
Obraz memtest86 dla rc-boot.

%prep
%setup -q -c
7z e Memtest86-%{version}.iso
tar xf SRC.TGZ
#%patch0 -p1
#%patch1 -p1
%{?with_serial_console:%patch2 -p1}

%build
# 1. DO NOT mess with CFLAGS or any other compiler magic, the autor knows better: README.build-process
# 2. actually, until ELF version is needed (for systems short on low-memory), use zImage provided
#%%{__make} -C src

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/sysconfig/rc-boot/images
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-boot/images/%{name}

install -d $RPM_BUILD_ROOT/boot
#install src/memtest.bin $RPM_BUILD_ROOT/boot/%{name}
install MEMTEST $RPM_BUILD_ROOT/boot/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%postun -n rc-boot-image-memtest86
if [ -x /sbin/grubby ]; then
	/sbin/grubby --add-kernel=/boot/%{name} --title="Memtest86+ %{version}" --remove-kernel="TITLE=Memtest86+ %{version}"
fi
/sbin/rc-boot 1>&2 || :

%post -n rc-boot-image-memtest86
if [ "$1" = 0 ] && [ -x /sbin/grubby ]; then
	/sbin/grubby --remove-kernel=/boot/%{name}
fi
/sbin/rc-boot 1>&2 || :

%files
%defattr(644,root,root,755)
%doc GUIDE.PDF src/README*
/boot/%{name}

%files -n rc-boot-image-memtest86
%defattr(644,root,root,755)
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-boot/images/%{name}
%changelog
* Mon Mar 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/memtest86.git;a=log;h=master

* Mon Mar 28 2016 Tomasz Pala <gotar@pld-linux.org> 43dcbad
- unbreak

* Mon Mar 28 2016 Tomasz Pala <gotar@pld-linux.org> 70a67ec
- this source is automatically unpacked

* Mon Mar 28 2016 Tomasz Pala <gotar@pld-linux.org> 4662ea1
- upgraded to 4.3.7 (v5 was relicensed to closed source)

* Tue Sep 17 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 789b465
- up to 4.3.3 (I haven't found sources other than from the iso image)
- BR: p7zip
- two patches commented, probably outdated
- rel 1

* Tue Sep 17 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 9f52c63
- updated for 4.3.3

* Mon Feb 14 2011 Elan Ruusamäe <glen@pld-linux.org> 386d267
- release 4

* Mon Feb 14 2011 Elan Ruusamäe <glen@pld-linux.org> e5d74fc
- add grubby hook

* Wed Feb 25 2009 Jacek Konieczny <jajcus@pld-linux.org> 7e982e0
- serial_console bcond added
- Release: 3

* Wed Feb 25 2009 Jacek Konieczny <jajcus@pld-linux.org> 48dfe0c
- patch to enable serial console in memtes86

* Wed Dec 10 2008 Tomasz Pala <gotar@pld-linux.org> 83c6f7e
- s#/boot/memtest86.vmlinuz#/boot/memtest86.vmlinuz# as there's no
  explanation for such 'extension'

* Wed Dec 10 2008 Tomasz Pala <gotar@pld-linux.org> abc8d34
- s#/boot/memtest86.vmlinuz#/boot/memtest86# (no reason given for 3 weeks)

* Sun Jan 06 2008 arvenil <arvenil@pld-linux.org> bccf432
- added image config for rc-boot
- s#/boot/memtest86#/boot/memtest86.vmlinuz#
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 51ee87d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4d80851
- converted to UTF-8

* Thu May 25 2006 Elan Ruusamäe <glen@pld-linux.org> 1ab1dc7
- more ru_RU -> ru, uk_UA -> uk changes

* Thu May 25 2006 Artur Frysiak <artur@frysiak.net> ae294c7
- ru_RU -> ru, uk_UA -> uk in lang codes

* Thu Dec 16 2004 Jakub Bogusz <qboosh@pld-linux.org> baa22e2
- updated to 3.2, updated rover-centrino+c3+amd patch

* Thu Dec 16 2004 Jakub Bogusz <qboosh@pld-linux.org> b83a12a
- updated for 3.2

* Sun Apr 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 42bbaba
- removed obsolete vars patch, restored missing head.S changes in ...c3+amd patch

* Sun Apr 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 3109074
- restored head.S changes - brand setting was missing

